package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;

public class ASFieldLval extends ASLval {

    public ASFieldLval(int p, ASLval record, Symbol field) {
	super(p); m_record = record; m_field = field;

	m_classname = "ASFieldLval";
    }

    public ASLval getRecord() {
	return m_record;
    }

    public Symbol getField() {
	return m_field;
    }

    public String toString() {
        return m_classname;
    }

    private ASLval m_record;
    private Symbol m_field;
}